Search Unity

  1. Unity 2020.2 has been released.
    Dismiss Notice
  2. Good news ✨ We have more Unite Now videos available for you to watch on-demand! Come check them out and ask our experts any questions!
    Dismiss Notice

Using GameSparks SDK with Unity 2019.3

Discussion in 'General Discussion' started by adbourdages, Jul 7, 2020.

  1. adbourdages

    adbourdages

    Joined:
    Jul 8, 2012
    Posts:
    55
    Hiya,

    I haven't been able to post on GameSparks forums for the last 12-ish months and neither have they replied to my numerous emails. I'm actually kind of wondering if they are on life support or what, but that's beside the point here.

    I'm trying to update a 5yo in-production game to Unity 2019.3, which has dropped support for
    Scripting Runtime Version.NET 3.5 Equivalent. GameSparks apparently relies on that and now throws an error at compile time (there is a version check using #defines).

    It is possible to comment out the check in code and it looks like GameSparks still works as expected but I'm sure there is a reason it was there in the first place. To be noted that there has not been any official SDK updates since June 2018 (version 5.6.5.214).

    So does anyone has experience with GameSparks 5.6.5.214 with Unity 2019.3 in production? Does it work fine on Android/iOS/Standalone?

    Cheers,
    Alain-Daniel
     
unityunity